import {Component} from '@angular/core';
import {LetterComponent} from "../letter/letter.component";
import {NgForOf} from "@angular/common";
import sentences from "./sentenceProvider";

@Component({
  selector: 'app-challenge',
  standalone: true,
  imports: [
    LetterComponent,
    NgForOf
  ],
  templateUrl: './challenge.component.html',
  styleUrl: './challenge.component.scss'
})
export class ChallengeComponent {
  text = this.getSentence();
  enteredText = "";

  getSentence() {
    const sentenceArray = sentences.split('\n');
    return sentenceArray[Math.floor(Math.random() * sentenceArray.length)];
  }

  getText() {
    this.text = this.text.replace(/ /g, '\u00A0');
    return this.text.split('')
  }

  onChangeInput($event: Event) {
    const target = $event.target as HTMLInputElement;
    this.enteredText = target.value;
    console.log()
  }

  nextSentence() {
    // Shitty way to do this, but no knowledge of a better way at the moment
    window.location.reload();
  }
}
